package com.yizhi.application.constant;

public enum PointChangeReasonConstant {

    CREDITEXAMDONE("CreditExamDone", "考试阅卷通过"),
    CREDITCOURSEDONE1("CreditCourseDone1", "课程学习完成"),
    CREDITEXAMPASSED("CreditExamPassed", "考试通过"),
    CREDITRESEARCHDONE("CreditResearchDone", "投票通过"),
    CREDITCOURSECHAPTERDONE("CreditCourseChapterDone", "课程章节完成"),
    CREDITASSIGNMENTPASSED("CreditAssignmentPassed", "作业通过"),
    CREDITQUIZPASSED("CreditQuizPassed", "课程章节测验通过"),
    CREDITOFFLINEDONE("CreditOfflineDone", "线下课程通过"),
    CREDITCOURSEDONE2("CreditCourseDone2", "课程学习完成"),
    CREDITEXTERNALIMPORT("CreditExternalImport", "外部导入积分"),
    CREDITTRAININGPROJECTDONE("CreditTrainingProjectDone", "学习项目通过"),
    CREDITCASELIBRARYDONE("CreditCaseLibraryDone", "案例活动审核通过"),
    CREDITFORUMINVITATION("CreditForumInvitation", "发布论坛帖子发放积分"),
    CREDITFORUMCOMMENT("CreditForumComment", "发布论坛回复发放积分"),
    CREDITCALENDARDONE("CreditClendarDone", "签到打卡成功"),
    CREDITSIGNDONE("CreditSignDone", "项目签到成功"),
    POINT_LOGIN("point_login","登录"),
    POINT_READ("point_read","阅读文章"),
    POINT_DRAFT("point_draft","我要投稿"),
    POINT_COMMENT("point_comment","发表评论");

    // key
    private String key;
    // value
    private String value;

    public String getValue() {
        return value;
    }

    public void setValue(String value) {
        this.value = value;
    }

    PointChangeReasonConstant(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public String getKey() {

        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }


}
