package com.yizhi.application.service;

import java.sql.Timestamp;
import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.application.domain.PointUser;
import com.yizhi.point.application.vo.PointUserListVO;
import com.yizhi.point.application.vo.PointUserParamVO;

/**
 * <p>
 * 学员积分 服务类
 * </p>
 *
 * @author bob123
 * @since 2018-04-20
 */
public interface PointUserService extends IService<PointUser> {

    Integer queryPiont(Long userId, Long companyId, Long siteId);

    Page<PointUserListVO> userRankList(PointUserParamVO vo);

    Page<PointUserListVO> newUserRankList(PointUserParamVO vo);

    List<PointUserListVO> userRankListExport(PointUserParamVO vo);

    Integer acquirePoint(Long accountId, Long learnSourceId, String createTime);

    Timestamp getStartDate();
    
    Map<Long, Long> totalPoint(List<Long> siteIds,String startDate,String endDate);
}
